changeset 30182:b9b7a06b0c68

Explain reason for skipping tests.
author Bruno Haible <bruno@clisp.org>
date Fri, 26 Sep 2008 15:44:43 +0200
parents e8f58deb0be0
children 23d4d9c6038d
files ChangeLog tests/test-vc-list-files-cvs.sh tests/test-vc-list-files-git.sh
diffstat 3 files changed, 9 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog	Fri Sep 26 15:12:55 2008 +0200
+++ b/ChangeLog	Fri Sep 26 15:44:43 2008 +0200
@@ -1,3 +1,8 @@
+2008-09-26  Bruno Haible  <bruno@clisp.org>
+
+	* tests/test-vc-list-files-git.sh: Explain reason for skipping test.
+	* tests/test-vc-list-files-cvs.sh: Likewise.
+
 2008-09-26  Bruno Haible  <bruno@clisp.org>
 
 	* doc/posix-headers/sys_resource.texi: Reorder items.
--- a/tests/test-vc-list-files-cvs.sh	Fri Sep 26 15:12:55 2008 +0200
+++ b/tests/test-vc-list-files-cvs.sh	Fri Sep 26 15:44:43 2008 +0200
@@ -45,7 +45,8 @@
   mkdir $tmpdir && cd $tmpdir &&
     # without cvs, skip the test
     # The double use of 'exit' is needed for the reference to $? inside the trap.
-    { ( cvs -Q -d "$repo" init ) > /dev/null 2>&1 || { (exit 77); exit 77; }; } &&
+    { ( cvs -Q -d "$repo" init ) > /dev/null 2>&1 \
+      || { echo "Skipping test: cvs not found in PATH"; (exit 77); exit 77; }; } &&
     mkdir w && cd w &&
     mkdir d &&
     touch d/a b c &&
--- a/tests/test-vc-list-files-git.sh	Fri Sep 26 15:12:55 2008 +0200
+++ b/tests/test-vc-list-files-git.sh	Fri Sep 26 15:44:43 2008 +0200
@@ -32,7 +32,8 @@
 mkdir $tmpdir && cd $tmpdir &&
   # without git, skip the test
   # The double use of 'exit' is needed for the reference to $? inside the trap.
-  { ( git init -q ) > /dev/null 2>&1 || { (exit 77); exit 77; }; } &&
+  { ( git init -q ) > /dev/null 2>&1 \
+    || { echo "Skipping test: git not found in PATH"; (exit 77); exit 77; }; } &&
   mkdir d &&
   touch d/a b c &&
   git add . > /dev/null &&